Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename is-builtin-module
%global enable_tests 0
# tests disabed until 'ava' is packaged in Fedora

Name:		nodejs-is-builtin-module
Version:	1.0.0
Release:	alt1_8
Summary:	Check if a string matches the name of a Node.js builtin module

License:	MIT
URL:		https://github.com/sindresorhus/is-builtin-module
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Get the test.js file from the upstream github repo
Source1:	https://raw.githubusercontent.com/sindresorhus/is-builtin-module/v%{version}/test.js


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
#BuildRequires:	npm(ava)
%endif

Requires:	node
Source44: import.info

%description
Check if a string matches the name of a Node.js builtin module


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_8
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt0.1.njs.bootstrap
- bootstrap

